%define name	GConf
%define version	0.8
%define majorrelease 1

Release:	2mdk

Summary:	GConf is a configuration database system.
Name:		%name
Version: 	%version
Copyright:	GPL
Group:		Graphical desktop/GNOME
Source: 	ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{name}/%{name}-%{version}.tar.bz2
URL:		ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{name}
Patch:      GConf-0.8-schemas.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prereq:		oaf

%description
GConf is a configuration database for the GNOME project.

%package devel
Summary:	Development libraries and headers for GConf
Group:		Graphical desktop/GNOME
Requires:	%name = %{version}

%description devel
GConf is a configuration database for the GNOME project.

This package contains the header files and libraries needed to develop
applications using GConf.

%prep
%setup -q -n %{name}-%{version}
#echo "	*****     Applying RH patches        *****	"
#echo "	*****     Applying Helix patches     *****	"
#%patch -p1 -b .build
%patch -p1 -b .noschema

%build

%configure --disable-debug

make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
GCONF_CONFIG_SOURCE="xml::%{_sysconfdir}/gconf/gconf.xml.defaults"	\
	%{_bindir}/gconftool --makefile-install-rule			\
	%{_sysconfdir}/gconf/schemas/desktop.schemas

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%config(noreplace) %{_sysconfdir}/gconf/*
%{_libdir}/lib*.so.*
%{_libdir}/GConf/%{majorrelease}/*.so
%{_bindir}/gconfd-%{majorrelease}
%{_bindir}/gconftool
%{_bindir}/gconftool-%{majorrelease}
%{_datadir}/oaf/*.oafinfo

%files devel
%defattr (-, root, root)
%{_libdir}/*.so
%{_libdir}/*a
%{_libdir}/GConf/%{majorrelease}/*a
%{_bindir}/gconf-config
%{_bindir}/gconf-config-%{majorrelease}
%{_datadir}/aclocal/*
%{_includedir}/gconf

%changelog
* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-2mdk
- Use find_lang macro

* Thu Aug 10 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8.0
- update patch for new release

* Fri Aug  4 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7.0
- patch Makefile to prevent installing schemas at build time

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-3mdk
- Build without debugging code

* Wed Aug  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-2mdk
- BM + macroszification

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.6-1mdk
- Updated version to a more stable release

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.5-1mdk
- packaged for Mandrake
